### Method

# Camel SExp add_variable

since: 3.4

#### Declaration [src]

    void
    camel_sexp_add_variable (
      CamelSExp* sexp,
      guint scope,
      const gchar* name,
      CamelSExpTerm* value
    )

#### Description [src]

Adds a variable named `name` to the given `scope`, set to the given `value`.

Available since: 3.4

#### Parameters

`scope`

  Type: `guint`

  A scope.

`name`

  Type: `const gchar*`

  A variable name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `CamelSExpTerm`

  A variable value, as a `CamelSExpTerm`.

  The data is owned by the caller of the method.